## python-cdsapi 0.5.1

=== tests/requirements.txt ===
#
pytest-cov
pytest-env
pytest-flakes
pytest-mccabe
pytest-pep8
pytest-runner
pytest
requests

## python-cdsapi 0.3.0

=== debian/changelog ===
python-cdsapi (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 23 Jun 2020 12:00:01 +0200

python-cdsapi (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * DH compat level 13, and new-style compat mode.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 13 Jun 2020 10:32:57 +0200

python-cdsapi (0.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 29 Mar 2020 13:11:43 +0200

python-cdsapi (0.2.5-2) unstable; urgency=medium

  * Add watch file.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 09 Mar 2020 15:50:10 +0100

python-cdsapi (0.2.5-1) unstable; urgency=medium

  * Initial release. (Closes: #950783)

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 06 Feb 2020 12:45:05 +0100

=== debian/control ===
Source: python-cdsapi
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: python
Priority: optional
Standards-Version: 4.5.0.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-requests,
               python3-setuptools,
               python3-tqdm
Rules-Requires-Root: no
Homepage: https://pypi.org/project/cdsapi/
Vcs-Browser: https://git.nonempty.org/debian-python-cdsapi
Vcs-Git: https://git.nonempty.org/debian-python-cdsapi -b debian/sid

Package: python3-cdsapi
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-requests,
         python3-tqdm
Description: Python 3 interface for the ECMWF CDS API
 Python library for the API of the European Centre for Medium-Range
 Weather Forecasts' (ECMWF) Climate Data Store (CDS).
 .
 More information about the CDS can be found on
 https://cds.climate.copernicus.eu

## python-cdsapi 0.4.0

=== debian/changelog ===
python-cdsapi (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-version 4.5.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 20 Nov 2020 08:56:03 +0100

python-cdsapi (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Move git to Salsa.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 17 Sep 2020 10:22:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0.2
+Standards-Version: 4.5.1.0
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
@@ -11,8 +11,8 @@
                python3-tqdm
 Rules-Requires-Root: no
 Homepage: https://pypi.org/project/cdsapi/
-Vcs-Browser: https://git.nonempty.org/debian-python-cdsapi
-Vcs-Git: https://git.nonempty.org/debian-python-cdsapi -b debian/sid
+Vcs-Browser: https://salsa.debian.org/gspr/python-cdsapi
+Vcs-Git: https://salsa.debian.org/gspr/python-cdsapi.git -b debian/sid
 
 Package: python3-cdsapi
 Section: python

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cdsapi/cdsapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cdsapi 0.5.1

=== debian/changelog ===
python-cdsapi (0.5.1-2) unstable; urgency=medium

  * Fix watch file.
  * Standards-version 4.6.1.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 16 Sep 2022 14:09:15 +0200

python-cdsapi (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Move to tracking upstream GitHub source instead of PyPI.
  * New watch file.
  * New homepage.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 14 Aug 2021 20:38:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1.0
+Standards-Version: 4.6.1.1
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
@@ -10,7 +10,7 @@
                python3-setuptools,
                python3-tqdm
 Rules-Requires-Root: no
-Homepage: https://pypi.org/project/cdsapi/
+Homepage: https://cds.climate.copernicus.eu
 Vcs-Browser: https://salsa.debian.org/gspr/python-cdsapi
 Vcs-Git: https://salsa.debian.org/gspr/python-cdsapi.git -b debian/sid

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*\.tar\.gz@)%@PACKAGE@-$1%" \
  https://github.com/ecmwf/cdsapi/tags \
  (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## python-cdsapi 0.6.1

=== debian/changelog ===
python-cdsapi (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-version 4.6.2.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 08 Jun 2023 11:45:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.1.1
+Standards-Version: 4.6.2.0
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,

## python-cdsapi 0.7.0

=== debian/changelog ===
python-cdsapi (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-version 4.7.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 01 May 2024 12:05:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,

## python-cdsapi 0.7.3

=== debian/changelog ===
python-cdsapi (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend/depend on python3-cads-api-client. (Closes: #1078794)

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 18 Sep 2024 16:02:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-cads-api-client (>= 1.3.2),
                python3-requests,
                python3-setuptools,
                python3-tqdm

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME = cdsapi

%:
	dh $@ --with python3 --buildsystem=pybuild
